$(function(){
	//getHealthBranchCom();
	var casesource2205 = $("#casesource2").val();
	chooseCompany1(casesource2205);
	$("#casesource2").change(function(){ 
		var casesource2203 = $(this).val();
		chooseCompany1(casesource2203);
	}); 

});
function extractData() {
	$.post(getRootPath() + "/exportClaimData1/extractData.do", {}, function(data) {
		alert("抽取数据成功！");
		//getHealthBranchCom();
	});
}
function doReset() {
	$("#datetype").val('');//日期类型
	$("#start").val('');//起始日期
	$("#end").val('');//结束日期
	$("#claimstate").val('');//案件状态
	$("#claimno").val('');
	$("#claimbatchno").val('');
	$("#claimnobpo").val('');
	$("#batchno").val('');
	$("#policyno").val('');//保单号
	$("#classtype").val('');//险种类别
	$("#idtype").val('');
	$("#pid").val('');
	$("#casesource2").val('');
	$("#zzgsname").val('');
}

function chooseCompany1(casesource2203){
	if(casesource2203=='健康险'){//健康险
		getHealthBranchCom1(casesource2203);
	}else if(casesource2203=='产险'){//产险
		getPropertyBranchForSearch1(casesource2203);
	}else if(casesource2203=='寿险'){//寿险
		getLifeOrg1(casesource2203);
	}

}

//健康险
function getHealthBranchCom1(casesource2203){
	
	$.ajax({
		
		type:"POST",
		url:"receiveUnit/queryHealthBranchCom.do",
		data:"",
		error:function(){
			alert("获取健康险机构失败");
		},
		success:function(data){
			$("#zzgsname").html("");
			$("#zzgsname").append("<option value=''>请选择健康险机构</option>");
			if(data.length>0){
				
				for(var i=0;i<data.length;i++){
					$("#zzgsname").append("<option value="+data[i].name+">"+data[i].name+"</option>");
				}
				if($("#kdNo").val()!=null&&$("#kdNo").val()!=""){
					$("#zzgsname").val($("#kdNo").val());
				}
				
			}
		}
	});
}

//搜索条件-获取产险分公司
function getPropertyBranchForSearch1(casesource2203){
	$.ajax({
		type:"POST",
		url:"receiveUnit/getPropertyBranch.do",
		data:"",
		error:function(){
			alert("获取产险机构失败");
		},
		success:function(data){
			$("#zzgsname").html("");
			$("#zzgsname").append("<option value=''>请选择产险机构</option>");
			if(data.length>0){
				for(var i=0;i<data.length;i++){
					//$("#branchCompany").append("<li id="+data[i].branchId+" name=\""+index+"\" class=\"property-branch\" data-pro-code="+data[i].branchId+" >"+data[i].branchName+"</li>");
					$("#zzgsname").append("<option value="+data[i].branchName+">"+data[i].branchName+"</option>");
				}
				if($("#kdNo").val()!=null&&$("#kdNo").val()!=""){
					$("#zzgsname").val($("#kdNo").val());
				}
			}
		}
	});
}

//寿险公司
function getLifeOrg1(casesource2203){
	$.ajax({
		type:"POST",
		url:"receiveUnit/queryLifeBranchCompany.do",
		data:"",
		error:function(){
			alert("获取寿险机构失败");
		},
		success:function(data){
			$("#zzgsname").html("");
			$("#zzgsname").append("<option value=''>请选择寿险机构</option>");
			if(data.length>0){
				for(var i=0;i<data.length;i++){
					//$("#branchCompany").append("<li id="+data[i].branchid+" onclick=\"getLifeBmdmCompany(this)\" >"+data[i].name+"</li>");
					$("#zzgsname").append("<option value="+data[i].name+">"+data[i].name+"</option>");
				}
				if($("#kdNo").val()!=null&&$("#kdNo").val()!=""){
					$("#zzgsname").val($("#kdNo").val());
				}
			}
		}
	});
}



function getHealthBranchCom2(casesource2Code){
	$.ajax({
		type:"POST",
		url:"findBranchName.do",
		data:"",
		error:function(){
			alert("获取机构失败");
		},
		success:function(data){
			if(data.length>0){
				$("#zzgsname").append("<option value=''>请选择机构</option>");
				for(var i=0;i<data.length;i++){
					$("#zzgsname").append("<option value="+data[i]+">"+data[i]+"</option>");
				}
				
			}
		}
	});
}

//动态改变日期输入框name值
function changedate(){
	var oSelect = document.getElementById("datetype");
	var oInputStart = document.getElementById("start");
	var oInputEnd = document.getElementById("end");
	oInputStart.name = "start"+oSelect.value;
	oInputEnd.name = "end"+oSelect.value;
 }

function doSubmit() {
	/*if($("#selectCompany").text()!="请选择承保公司"){
		$("#casesource2").val($("#selectCompany").text());
	}
	if($("#selectBranch").text()!="请选择分公司"){
		$("#zzgsname").val($("#selectBranch").text());
	}
	var company = $("#selectCompany").attr("code");
	var branch = $("#selectBranch").attr("code");
	var companyText = $("#selectCompany").text();
	var branchText = $("#selectBranch").text();*/
	var url = getRootPath() + "/exportClaimData1/queryClaimData1AndCon.do" ;
	document.forms["form"].action = url;
	var flag = true;
	if (($("#zzgsname").val() != "") || ($("#claimstate").val() != "") || ($("#classtype").val() != "")) {
		if(!($("#claimno").val()!="" || $("#claimbatchno").val()!="" || $("#claimnobpo").val()!="" || $("#batchno").val()!="" ||$("#policyno").val()!="" ||$("#pid").val()!="")){
			if (($("#start").val() == "" || $("#end").val() == "" || $("#datetype").val() == "")&&$("#datetype").val() != "all") {
				alert("请输入日期类型及统计期间");
				flag = false;
			}
		}
	}
	
	if($("#datetype").val() != ""){
		if($("#datetype").val() != "all"){
			if($("input[name='startregdate']").val() =="" || $("input[name='endregdate']").val() == ""){
				alert("请输入立案开始时间与结束时间");
				flag = false;
			}
			if($("input[name='startenddate']").val() =="" || $("input[name='endenddate']").val() == ""){
				alert("请输入结案开始时间与结束时间");
				flag = false;
			}
			if($("input[name='endcreatedate']").val() =="" || $("input[name='startcreatedate']").val() == ""){
				alert("请输入报案池开始时间与结束时间");
				flag = false;
			}
			if($("input[name='startreceiptdate']").val() =="" || $("input[name='endreceiptdate']").val() == ""){
				alert("请输入收单开始时间与结束时间");
				flag = false;
			}
		}
	}else{
		if($("input[name='start']").val() != "" && $("input[name='end']").val() != ""){
				alert("请选择日期类型");
				flag = false;
		}
		if($("input[name='start']").val() != ""){
			if($("input[name='end']").val() == ""){
				alert("请选择起止时间及日期类型");
				flag = false;
			}
		}
		if($("input[name='end']").val() != ""){
			if($("input[name='start']").val() == ""){
				alert("请选择起止时间及日期类型");
				flag = false;
			}
		}
	}
	if (flag) {
		document.forms["form"].submit();
	} 
	//$("#selectCompany").attr("code",company).html(companyText);
	//$("#selectBranch").attr("code",branch).html(branchText);
}

function go(count){
	var url = getRootPath() + "/exportClaimData1/excelExportClaimData1.do" ;
	
	if(count > 50000){
		alert("数据量超过5万，请缩小查询范围!");
	}else{
		document.forms["form"].action = url;
		document.forms["form"].submit();
	}
}


//翻页
function cur_skip(s,e){
	var pn = $(e).find("span").html();
	var policyno = $("#policyno").val();   //保单号
	var zzgsname = $("#zzgsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	var casesource2 = $("#casesource2").val();    //承保公司
	var idtype = $("#idtype").val();    //证件类型
	var pid = $("#pid").val();    //证件号
	if(s=="1"){
		SkipByPost("queryClaimData1AndCon.do", {
			pageNo : pn,
			policyno : policyno,
			zzgsname : zzgsname,
			claimbatchno : claimbatchno,
			batchno : batchno,
			claimnobpo : claimnobpo,
			claimno : claimno,
			claimstate : claimstate,
			classtype : classtype,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			startcreatedate : startcreatedate,
			endcreatedate : endcreatedate,
			startreceiptdate : startreceiptdate,
			endreceiptdate : endreceiptdate,
			datetype : datetype,
			casesource2 : casesource2,
			idtype : idtype,
			pid : pid
		});
	}
	else if(s=="2"){
		SkipByPost("queryClaimData1AndCon.do",{pageNo:pn});
	}
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var policyno = $("#policyno").val();   //保单号
	var zzgsname = $("#zzgsname").val();   //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	var casesource2 = $("#casesource2").val();    //承保公司
	var idtype = $("#idtype").val();    //证件类型
	var pid = $("#pid").val();    //证件号
	
	if(cur==1){
		return;
	}	
	if(cur>1){
	var pre = Number(cur)-Number(1);		
	if(s=="1"){
		SkipByPost("queryClaimData1AndCon.do", {
			pageNo : pre,
			policyno : policyno,
			zzgsname : zzgsname,
			claimbatchno : claimbatchno,
			batchno : batchno,
			claimnobpo : claimnobpo,
			claimno : claimno,
			claimstate : claimstate,
			classtype : classtype,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			startcreatedate : startcreatedate,
			endcreatedate : endcreatedate,
			startreceiptdate : startreceiptdate,
			endreceiptdate : endreceiptdate,
			datetype : datetype,
			casesource2 : casesource2,
			idtype : idtype,
			pid : pid
		});
		}
		else if(s=="2"){
		SkipByPost("queryClaimData1AndCon.do",{pageNo:pre});
		}
	}
}
//下一页

function next(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	var policyno = $("#policyno").val();   //保单号
	var zzgsname = $("#zzgsname").val();    //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	var casesource2 = $("#casesource2").val();    //承保公司
	var idtype = $("#idtype").val();    //证件类型
	var pid = $("#pid").val();    //证件号
	
	if(parseInt(cur)==parseInt(maxPage)){			
		return;
	}
	
	if(parseInt(cur)<parseInt(maxPage)){
		if(s=="1"){
			SkipByPost("queryClaimData1AndCon.do",{
				pageNo:next,
				policyno : policyno,
				zzgsname : zzgsname,
				claimbatchno : claimbatchno,
				batchno : batchno,
				claimnobpo : claimnobpo,
				claimno : claimno,
				claimstate : claimstate,
				classtype : classtype,
				startregdate : startregdate,
				endregdate : endregdate,
				startenddate : startenddate,
				endenddate : endenddate,
				startcreatedate : startcreatedate,
				endcreatedate : endcreatedate,
				startreceiptdate : startreceiptdate,
				endreceiptdate : endreceiptdate,
				datetype : datetype,
				casesource2 : casesource2,
				idtype : idtype,
				pid : pid
				});
			}
			else if(s=="2"){
			SkipByPost("queryClaimData1AndCon.do",{pageNo:next});
			}
	}
}

//跳转至
function custom(s){		
	
	var maxPage = $("#max").val();
	var pn = $.trim($("#turn_inp").val());
	var policyno = $("#policyno").val();   //保单号
	var zzgsname = $("#zzgsname").val();    //机构
	var claimbatchno = $("#claimbatchno").val();   //批次号
	var batchno = $("#batchno").val();   //BPO批次号
	var claimnobpo = $("#claimnobpo").val();   //BPO赔案号
	var claimno = $("#claimno").val();   //赔案号
	var claimstate = $("#claimstate").val();   //案件状态
	var classtype = $("#classtype").val();     //险种类别		
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var startcreatedate = $("input[name='startcreatedate']").val();     //进入报案池时间
	var endcreatedate = $("input[name='endcreatedate']").val();     //结束报案池时间
	var startreceiptdate = $("input[name='startreceiptdate']").val();    //收单开始时间
	var endreceiptdate = $("input[name='endreceiptdate']").val();    //收单结束时间
	var datetype = $("#datetype").val();    //日期类型
	var casesource2 = $("#casesource2").val();    //承保公司
	var idtype = $("#idtype").val();    //证件类型
	var pid = $("#pid").val();    //证件号
	
	if(isNaN(pn)){
		return ;
	}
	if(pn == "") {
		return;
	}
	if(Number(pn)==0){
		return;
	}	
	if(Number(pn) > Number(maxPage)){
		return;
	}	
	if(s=="1"){
		SkipByPost("queryClaimData1AndCon.do",{
			pageNo:Number(pn),
			policyno : policyno,
			zzgsname : zzgsname,
			claimbatchno : claimbatchno,
			batchno : batchno,
			claimnobpo : claimnobpo,
			claimno : claimno,
			claimstate : claimstate,
			classtype : classtype,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			startcreatedate : startcreatedate,
			endcreatedate : endcreatedate,
			startreceiptdate : startreceiptdate,
			endreceiptdate : endreceiptdate,
			datetype : datetype,
			casesource2 : casesource2,
			idtype : idtype,
			pid : pid
			});
		}
		else if(s=="2"){
		SkipByPost("queryClaimData1AndCon.do",{pageNo:Number(pn)});
		}
}
